<?xml version="1.0" encoding="UTF-8"?>
<device image="IMG-000338.png" type="DMXDevice" dmxcversion="3.1.0" ddfversion="1.1.0">
  <information>
    <ddf-library-id>1444</ddf-library-id>
    <model>MAC 250 Krypton</model>
    <vendor>Martin</vendor>
    <author>Patrick Grote</author>
    <mode>16BT</mode>
  </information>
  <functions>
    <shutter dmxchannel="0">
      <step type="closed" mindmx="0" maxdmx="19"/>
      <step type="open" mindmx="20" maxdmx="49"/>
      <step type="open" mindmx="73" maxdmx="79"/>
      <step type="open" mindmx="120" maxdmx="127"/>
      <step type="open" mindmx="188" maxdmx="190"/>
      <step type="open" mindmx="203" maxdmx="207"/>
      <step type="open" mindmx="218" maxdmx="227"/>
      <step type="open" mindmx="238" maxdmx="247"/>
    </shutter>
    <strobe dmxchannel="0">
      <range type="linear" mindmx="72" maxdmx="50" minval="0.5" maxval="10"/>
      <range type="pulse up" mindmx="99" maxdmx="80" minval="0.5" maxval="10"/>
      <range type="pulse down" mindmx="119" maxdmx="100" minval="0.5" maxval="10"/>
      <range type="random" mindmx="187" maxdmx="128" minval="0.5" maxval="10"/>
      <range type="random pulse up" mindmx="196" maxdmx="191" minval="0.5" maxval="10"/>
      <range type="random pulse down" mindmx="202" maxdmx="197" minval="0.5" maxval="10"/>
    </strobe>
    <dimmer dmxchannel="1"/>
    <colorwheel dmxchannel="2">
      <step type="color" val="#FFFFFF" caption="White" mindmx="156" maxdmx="159"/>
      <step type="color" val="#fed6b5" caption="CTC" mindmx="160" maxdmx="163"/>
      <step type="color" val="#fec600" caption="Yellow 603" mindmx="164" maxdmx="167"/>
      <step type="color" val="#009cdc" caption="Blue 104" mindmx="168" maxdmx="171"/>
      <step type="color" val="#ee63e6" caption="Pink 312" mindmx="172" maxdmx="175"/>
      <step type="color" val="#00bd52" caption="Green 206" mindmx="176" maxdmx="179"/>
      <step type="color" val="#080094" caption="Blue 108" mindmx="180" maxdmx="183"/>
      <step type="color" val="#de005a" caption="Red 301" mindmx="184" maxdmx="187"/>
      <step type="color" val="#e600ad" caption="Magenta 507" mindmx="188" maxdmx="191"/>
      <step type="color" val="#0084ee" caption="Blue 101" mindmx="192" maxdmx="195"/>
      <step type="color" val="#ff6600" caption="Orange 306" mindmx="196" maxdmx="199"/>
      <step type="color" val="#00a837" caption="Dark Green" mindmx="200" maxdmx="203"/>
      <step type="color" val="#9c39b5" caption="Purple 502" mindmx="204" maxdmx="207"/>
      <rainbow>
        <range type="cw" mindmx="226" maxdmx="208" minval="0.1" maxval="8"/>
        <range type="ccw" mindmx="227" maxdmx="245" minval="0.1" maxval="8"/>
      </rainbow>
      <random>
        <step type="fast" mindmx="246" maxdmx="248"/>
        <step type="medium" mindmx="249" maxdmx="251"/>
        <step type="slow" mindmx="252" maxdmx="255"/>
      </random>
    </colorwheel>
    <gobowheel dmxchannel="3">
      <goborotation dmxchannel="4" finedmxchannel="5">
        <step type="stop" mindmx="0" maxdmx="2"/>
        <step type="stop" mindmx="253" maxdmx="255"/>
        <range type="cw" mindmx="3" maxdmx="127" minval="0.1" maxval="8"/>
        <range type="ccw" mindmx="252" maxdmx="128" minval="0.1" maxval="8"/>
      </goborotation>
      <goboindex dmxchannel="4" finedmxchannel="5">
        <range mindmx="0" maxdmx="255" range="395"/>
      </goboindex>
      <goboshake/>
      <step type="open" caption="Open" mindmx="0" maxdmx="4"/>
      <step type="gobo" caption="Eclipse" mindmx="5" maxdmx="10" val="ICON-000844.png">
        <step for="goborotation" mindmx="51" maxdmx="58"/>
        <range handler="goboshake" mindmx="5" maxdmx="10" minval="0" maxval="0"/>
        <range handler="goboshake" mindmx="195" maxdmx="209" minval="0.1" maxval="3"/>
      </step>
      <step type="gobo" caption="Fat Bar" mindmx="11" maxdmx="15" val="ICON-000850.png">
        <step for="goborotation" mindmx="59" maxdmx="65"/>
        <range handler="goboshake" mindmx="11" maxdmx="15" minval="0" maxval="0"/>
        <range handler="goboshake" mindmx="180" maxdmx="194" minval="0.1" maxval="3"/>
      </step>
      <step type="gobo" caption="Fan" mindmx="16" maxdmx="20" val="ICON-000845.png">
        <step for="goborotation" mindmx="66" maxdmx="73"/>
        <range handler="goboshake" mindmx="16" maxdmx="20" minval="0" maxval="0"/>
        <range handler="goboshake" mindmx="165" maxdmx="179" minval="0.1" maxval="3"/>
      </step>
      <step type="gobo" caption="Happy Yins" mindmx="21" maxdmx="25" val="ICON-000858.png">
        <step for="goborotation" mindmx="74" maxdmx="81"/>
        <range handler="goboshake" mindmx="21" maxdmx="25" minval="0" maxval="0"/>
        <range handler="goboshake" mindmx="150" maxdmx="164" minval="0.1" maxval="3"/>
      </step>
      <step type="gobo" caption="Twisted triangle" mindmx="26" maxdmx="30" val="ICON-000937.png">
        <step for="goborotation" mindmx="82" maxdmx="89"/>
        <range handler="goboshake" mindmx="26" maxdmx="30" minval="0" maxval="0"/>
        <range handler="goboshake" mindmx="135" maxdmx="149" minval="0.1" maxval="3"/>
      </step>
      <step type="gobo" caption="Splash" mindmx="31" maxdmx="35" val="ICON-000912.png">
        <step for="goborotation" mindmx="90" maxdmx="96"/>
        <range handler="goboshake" mindmx="31" maxdmx="35" minval="0" maxval="0"/>
        <range handler="goboshake" mindmx="120" maxdmx="134" minval="0.1" maxval="3"/>
      </step>
      <step type="gobo" caption="Aflobet" mindmx="36" maxdmx="40" val="ICON-000804.png">
        <step for="goborotation" mindmx="97" maxdmx="100"/>
        <range handler="goboshake" mindmx="36" maxdmx="40" minval="0" maxval="0"/>
        <range handler="goboshake" mindmx="105" maxdmx="119" minval="0.1" maxval="3"/>
      </step>
      <wheelrotation>
        <range type="cw" mindmx="210" maxdmx="232" minval="0.1" maxval="2"/>
        <range type="ccw" mindmx="255" maxdmx="233" minval="0.1" maxval="2"/>
      </wheelrotation>
    </gobowheel>
    <focus dmxchannel="6">
      <range type="linear" mindmx="255" maxdmx="0" minval="0" maxval="100"/>
    </focus>
    <prism dmxchannel="7">
      <prismrotation/>
      <step type="open" mindmx="0" maxdmx="19" caption="Excluded"/>
      <step type="open" mindmx="150" maxdmx="255" caption="Excluded"/>
      <step type="prism" mindmx="20" maxdmx="149" caption="Inserted">
        <step type="stop" handler="prismrotation" mindmx="80" maxdmx="89"/>
        <range type="ccw" handler="prismrotation" mindmx="79" maxdmx="20" minval="0.1" maxval="3"/>
        <range type="cw" handler="prismrotation" mindmx="90" maxdmx="149" minval="0.1" maxval="3"/>
      </step>
    </prism>
    <position>
      <pan dmxchannel="8" finedmxchannel="9">
        <range range="540"/>
      </pan>
      <tilt dmxchannel="10" finedmxchannel="11">
        <range range="289"/>
      </tilt>
    </position>
    <ptspeed dmxchannel="12">
      <range type="linear" mindmx="242" maxdmx="2" minval="0" maxval="100"/>
    </ptspeed>
    <const dmxchannel="13" val="1"/>
  </functions>
  <procedures>
    <reset>
      <set dmxchannel="0" value="209"/>
      <hold value="6000"/>
      <restore dmxchannel="0"/>
    </reset>
    <lamp_on>
      <set dmxchannel="0" value="229"/>
      <hold value="6000"/>
      <restore dmxchannel="0"/>
    </lamp_on>
    <lamp_off>
      <set dmxchannel="0" value="249"/>
      <hold value="6000"/>
      <restore dmxchannel="0"/>
    </lamp_off>
  </procedures>
</device>
